%WINE Wine recognition dataset 178 objects with 13 features in 3 classes
%
%  A = WINE
%
% Load the dataset in A. This dataset is taken from the UCI
% Machine Learning Repository, //www.ics.uci.edu/~mlearn/MLRepository.html.
%
% See also DATASETS, PRDATASETS

% Copyright: R.P.W. Duin, r.p.w.duin@37steps.com
% Faculty EWI, Delft University of Technology
% P.O. Box 5031, 2600 GA Delft, The Netherlands

function a = wine

a = pr_loadmatfile;
if isempty(a)
  opt.delimeter = ',';
  opt.desc      = 'These data are the results of a chemical analysis of wines grown in the same region in Italy but derived from three different cultivars.  The analysis determined the quantities of 13 constituents found in each of the three types of wines.';
  opt.link      = 'https://archive.ics.uci.edu/ml/machine-learning-databases/wine/wine.names';
  opt.labfeat   = 1;
  opt.featnames = char(...
        'alcohol', ...
        'malic acid', ...
        'ash', ...
        'alcalinity of ash', ...
        'magnesium', ...
        'total phenols', ...
        'flavanoids', ...
        'nonflavanoid phenols', ...    
        'proanthocyanine', ...    
        'color intensity', ...        
        'hue', ...    
        'OD280/OD315 of diluted wines', ...        
        'proline');
  opt.classnames = {'cultivar 1','cultivar 2','cultivar 3'};
  opt.dsetname   = 'Wine Recognition';
  a = pr_download('http://prtools.tudelft.nl/prdatasets/wine.dat',[],opt);
end
